petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISSetType

Builds a index set, for a particular implementation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetType(IS is, ISType method)

Collective on IS Many br

### Input Parameters

| is | - The index set object Many br
| method | - The name of the index set type Many br

### Options Database Key

-is_type <type> -Sets the index set type; use -help for a list of available types Many br

### Notes

See "petsc/include/petscis.h" for available istor types (for instance, ISGENERAL, ISSTRIDE, or ISBLOCK). Many br

Use ISDuplicate() to make a duplicate Many br

Many br

### See Also

ISGetType(), ISCreate()

Level:intermediate
Location:src/vec/is/is/interface/isreg.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages